Index: trunk/source/Lib/TLibRenderer/TRenInterpFilter.h
===================================================================
--- trunk/source/Lib/TLibRenderer/TRenInterpFilter.h	(revision 296)
+++ trunk/source/Lib/TLibRenderer/TRenInterpFilter.h	(revision 608)
@@ -1587,477 +1155,4 @@
   return;
 }
-
-#if HIGH_ACCURACY_BI
-__inline Void TRenInterpFilter::xCTI_Filter2DHorC_ha(Int* piSrc, Int iSrcStride,  Int iWidth, Int iHeight, Int iDstStride,  Pel*& rpiDst, Int iMV)
-{
-  Pel*  piDst    = rpiDst;
-  Int   iSum;
-  Int*  piSrcTmp;
-  Int shiftNum  = 6 + g_uiBitIncrement + g_uiBitDepth - 8;
-  Int shiftOffset = (shiftNum > 0) ? ( 1 << (shiftNum - 1)) : 0 ;
-
-  switch (iMV)
-  {
-  case 1:
-  {  
-      for ( Int y = iHeight; y != 0; y-- )
-      {
-        piSrcTmp = &piSrc[ -1 ];
-        for ( Int x = 0; x < iWidth; x++ )
-        {
-          iSum         = xCTI_Filter_VI04_C_OCT0( piSrcTmp, 1 );
-#if REMOVE_INTERMEDIATE_CLIPPING
-          piDst[x ] = (iSum +  shiftOffset) >>  shiftNum;
-#else
-          piDst[x ] = Clip3(0,16383, (iSum +  shiftOffset) >>  shiftNum );
-#endif
-          piSrcTmp++;
-        }
-        piSrc += iSrcStride;
-        piDst += iDstStride;
-      }
-  }
-  break;
-  case 2:
-  {  
-      for ( Int y = iHeight; y != 0; y-- )
-      {
-        piSrcTmp = &piSrc[ -1 ];
-        for ( Int x = 0; x < iWidth; x++ )
-        {
-          iSum         = xCTI_Filter_VI04_C_QUA0( piSrcTmp, 1 );
-#if REMOVE_INTERMEDIATE_CLIPPING
-          piDst[x ] = (iSum +  shiftOffset) >>  shiftNum;
-#else
-          piDst[x ] = Clip3(0,16383, (iSum +  shiftOffset) >>  shiftNum );
-#endif
-          piSrcTmp++;
-        }
-        piSrc += iSrcStride;
-        piDst += iDstStride;
-      }
-  }
-  break;
-  case 6:
-  {  
-      for ( Int y = iHeight; y != 0; y-- )
-      {
-        piSrcTmp = &piSrc[ -1 ];
-        for ( Int x = 0; x < iWidth; x++ )
-        {
-          iSum         = xCTI_Filter_VI04_C_QUA1( piSrcTmp, 1 );
-#if REMOVE_INTERMEDIATE_CLIPPING
-          piDst[x ] = (iSum +  shiftOffset) >>  shiftNum;
-#else
-          piDst[x ] = Clip3(0,16383, (iSum +  shiftOffset) >>  shiftNum );
-#endif
-          piSrcTmp++;
-        }
-        piSrc += iSrcStride;
-        piDst += iDstStride;
-      }
-  }
-  break;
-  case 3:
-  {  
-      for ( Int y = iHeight; y != 0; y-- )
-      {
-        piSrcTmp = &piSrc[ -1 ];
-        for ( Int x = 0; x < iWidth; x++ )
-        {
-          iSum         = xCTI_Filter_VI04_C_OCT1( piSrcTmp, 1 );
-#if REMOVE_INTERMEDIATE_CLIPPING
-          piDst[x ] = (iSum +  shiftOffset) >>  shiftNum;
-#else
-          piDst[x ] = Clip3(0,16383, (iSum +  shiftOffset) >>  shiftNum );
-#endif
-          piSrcTmp++;
-        }
-        piSrc += iSrcStride;
-        piDst += iDstStride;
-      }
-  }
-  break;
-  case 5:
-  {  
-      for ( Int y = iHeight; y != 0; y-- )
-      {
-        piSrcTmp = &piSrc[ -1 ];
-        for ( Int x = 0; x < iWidth; x++ )
-        {
-          iSum         = xCTI_Filter_VI04_C_OCT2( piSrcTmp, 1 );
-#if REMOVE_INTERMEDIATE_CLIPPING
-          piDst[x ] = (iSum +  shiftOffset) >>  shiftNum;
-#else
-          piDst[x ] = Clip3(0,16383, (iSum +  shiftOffset) >>  shiftNum );
-#endif
-          piSrcTmp++;
-        }
-        piSrc += iSrcStride;
-        piDst += iDstStride;
-      }
-  }
-  break;
-  case 7:
-  {  
-      for ( Int y = iHeight; y != 0; y-- )
-      {
-        piSrcTmp = &piSrc[ -1 ];
-        for ( Int x = 0; x < iWidth; x++ )
-        {
-          iSum         = xCTI_Filter_VI04_C_OCT3( piSrcTmp, 1 );
-#if REMOVE_INTERMEDIATE_CLIPPING
-          piDst[x ] = (iSum +  shiftOffset) >>  shiftNum;
-#else
-          piDst[x ] = Clip3(0,16383, (iSum +  shiftOffset) >>  shiftNum );
-#endif
-          piSrcTmp++;
-        }
-        piSrc += iSrcStride;
-        piDst += iDstStride;
-      }
-  }
-  break;
-  case 4:
-  {
-      for ( Int y = iHeight; y != 0; y-- )
-      {
-        piSrcTmp = &piSrc[ -1 ];
-        for ( Int x = 0; x < iWidth; x++ )
-        {
-          iSum      = xCTI_Filter_VIS04_C_HAL( piSrcTmp, 1 );
-#if REMOVE_INTERMEDIATE_CLIPPING
-          piDst[x ] = (iSum +  shiftOffset) >>  shiftNum;
-#else
-          piDst[x ] = Clip3(0,16383, (iSum +  shiftOffset) >>  shiftNum );
-#endif
-          piSrcTmp++;
-        }
-        piSrc += iSrcStride;
-        piDst += iDstStride;
-      }
-  }
-  break;
-  default:
-    assert( 0 );
-  }
-
-  return;
-}
-
-__inline Void TRenInterpFilter::xCTI_Filter1DVerC_ha (Pel* piSrc, Int iSrcStride, Int iWidth, Int iHeight, Int iDstStride,  Pel*& rpiDst, Int iMV)
-{
-  Pel*  piDst = rpiDst;
-  Int   iSum;
-  Pel*  piSrcTmp;
-  Int shiftNum  = g_uiBitIncrement + g_uiBitDepth - 8;
-  Int shiftOffset = (shiftNum > 0) ? ( 1 << (shiftNum - 1)) : 0 ;
-    
-  switch (iMV)
-  {
-  case 1:
-  {  
-      for ( Int y = iHeight; y != 0; y-- )
-      {
-        piSrcTmp = &piSrc[ -iSrcStride ];
-        for ( Int x = 0; x < iWidth; x++ )
-        {
-          iSum      = xCTI_Filter_VP04_C_OCT0( piSrcTmp,  iSrcStride );
-#if REMOVE_INTERMEDIATE_CLIPPING
-          piDst[x ] = (iSum +  shiftOffset) >>  shiftNum;
-#else
-          piDst[x ] = Clip3(0,16383, (iSum +  shiftOffset) >>  shiftNum );
-#endif
-          piSrcTmp++;
-        }
-        piSrc += iSrcStride;
-        piDst += iDstStride;
-      }
-  }
-  break;
-  case 2:
-  {  
-      for ( Int y = iHeight; y != 0; y-- )
-      {
-        piSrcTmp = &piSrc[ -iSrcStride ];
-        for ( Int x = 0; x < iWidth; x++ )
-        {
-          iSum      = xCTI_Filter_VP04_C_QUA0( piSrcTmp,  iSrcStride );
-#if REMOVE_INTERMEDIATE_CLIPPING
-          piDst[x ] = (iSum +  shiftOffset) >>  shiftNum;
-#else
-          piDst[x ] = Clip3(0,16383, (iSum +  shiftOffset) >>  shiftNum );
-#endif
-          piSrcTmp++;
-        }
-        piSrc += iSrcStride;
-        piDst += iDstStride;
-      }
-  }
-  break;
-  case 6:
-  {  
-      for ( Int y = iHeight; y != 0; y-- )
-      {
-        piSrcTmp = &piSrc[ -iSrcStride ];
-        for ( Int x = 0; x < iWidth; x++ )
-        {
-          iSum      = xCTI_Filter_VP04_C_QUA1( piSrcTmp,  iSrcStride );
-#if REMOVE_INTERMEDIATE_CLIPPING
-          piDst[x ] = (iSum +  shiftOffset) >>  shiftNum;
-#else
-          piDst[x ] = Clip3(0,16383, (iSum +  shiftOffset) >>  shiftNum );
-#endif
-          piSrcTmp++;
-        }
-        piSrc += iSrcStride;
-        piDst += iDstStride;
-      }
-  }
-  break;
-  case 3:
-  {  
-      for ( Int y = iHeight; y != 0; y-- )
-      {
-        piSrcTmp = &piSrc[ -iSrcStride ];
-        for ( Int x = 0; x < iWidth; x++ )
-        {
-          iSum      = xCTI_Filter_VP04_C_OCT1( piSrcTmp,  iSrcStride );
-#if REMOVE_INTERMEDIATE_CLIPPING
-          piDst[x ] = (iSum +  shiftOffset) >>  shiftNum;
-#else
-          piDst[x ] = Clip3(0,16383, (iSum +  shiftOffset) >>  shiftNum );
-#endif
-          piSrcTmp++;
-        }
-        piSrc += iSrcStride;
-        piDst += iDstStride;
-      }
-  }
-  break;
-  case 5:
-  {  
-      for ( Int y = iHeight; y != 0; y-- )
-      {
-        piSrcTmp = &piSrc[ -iSrcStride ];
-        for ( Int x = 0; x < iWidth; x++ )
-        {
-          iSum      = xCTI_Filter_VP04_C_OCT2( piSrcTmp,  iSrcStride );
-#if REMOVE_INTERMEDIATE_CLIPPING
-          piDst[x ] = (iSum +  shiftOffset) >>  shiftNum;
-#else
-          piDst[x ] = Clip3(0,16383, (iSum +  shiftOffset) >>  shiftNum );
-#endif
-          piSrcTmp++;
-        }
-        piSrc += iSrcStride;
-        piDst += iDstStride;
-      }
-  }
-  break;
-  case 7:
-  {  
-      for ( Int y = iHeight; y != 0; y-- )
-      {
-        piSrcTmp = &piSrc[ -iSrcStride ];
-        for ( Int x = 0; x < iWidth; x++ )
-        {
-          iSum      = xCTI_Filter_VP04_C_OCT3( piSrcTmp,  iSrcStride );
-#if REMOVE_INTERMEDIATE_CLIPPING
-          piDst[x ] = (iSum +  shiftOffset) >>  shiftNum;
-#else
-          piDst[x ] = Clip3(0,16383, (iSum +  shiftOffset) >>  shiftNum );
-#endif
-          piSrcTmp++;
-        }
-        piSrc += iSrcStride;
-        piDst += iDstStride;
-      }
-  }
-  break;
-  case 4:
-  {
-      for ( Int y = iHeight; y != 0; y-- )
-      {
-        piSrcTmp = &piSrc[-iSrcStride ];
-        for ( Int x = 0; x < iWidth; x++ )
-        {
-          iSum      = xCTI_Filter_VPS04_C_HAL( piSrcTmp, iSrcStride );
-#if REMOVE_INTERMEDIATE_CLIPPING
-          piDst[x ] = (iSum +  shiftOffset) >>  shiftNum;
-#else
-          piDst[x ] = Clip3(0,16383, (iSum +  shiftOffset) >>  shiftNum );
-#endif
-          piSrcTmp++;
-        }
-        piSrc += iSrcStride;
-        piDst += iDstStride;
-      }
-  }
-  break;
-  default:
-    assert( 0 );
-  }    
-  return;
-}
-
-__inline Void TRenInterpFilter::xCTI_Filter1DHorC_ha(Pel* piSrc, Int iSrcStride, Int iWidth, Int iHeight, Int iDstStride, Pel*& rpiDst, Int iMV)
-{
-  Pel*  piDst    = rpiDst;
-  Int   iSum;
-  Pel*  piSrcTmp;
-  Int shiftNum  = g_uiBitIncrement + g_uiBitDepth - 8;
-  Int shiftOffset = (shiftNum > 0) ? ( 1 << (shiftNum - 1)) : 0 ;
-
-  switch (iMV)
-  {
-  case 1:
-  {  
-      for ( Int y = iHeight; y != 0; y-- )
-      {
-        piSrcTmp = &piSrc[ -1 ];
-        for ( Int x = 0; x < iWidth; x++ )
-        {
-          iSum      = xCTI_Filter_VP04_C_OCT0( piSrcTmp,  1 );
-#if REMOVE_INTERMEDIATE_CLIPPING
-          piDst[x ] = (iSum +  shiftOffset) >>  shiftNum;
-#else
-          piDst[x ] = Clip3(0,16383, (iSum +  shiftOffset) >>  shiftNum );
-#endif
-          piSrcTmp++;
-        }
-        piSrc += iSrcStride;
-        piDst += iDstStride;
-      }
-  }
-  break;
-  case 2:
-  {  
-      for ( Int y = iHeight; y != 0; y-- )
-      {
-        piSrcTmp = &piSrc[ -1 ];
-        for ( Int x = 0; x < iWidth; x++ )
-        {
-          iSum      = xCTI_Filter_VP04_C_QUA0( piSrcTmp,  1 );
-#if REMOVE_INTERMEDIATE_CLIPPING
-          piDst[x ] = (iSum +  shiftOffset) >>  shiftNum;
-#else
-          piDst[x ] = Clip3(0,16383, (iSum +  shiftOffset) >>  shiftNum );
-#endif
-          piSrcTmp++;
-        }
-        piSrc += iSrcStride;
-        piDst += iDstStride;
-      }
-  }
-  break;
-  case 6:
-  {  
-      for ( Int y = iHeight; y != 0; y-- )
-      {
-        piSrcTmp = &piSrc[ -1 ];
-        for ( Int x = 0; x < iWidth; x++ )
-        {
-          iSum         = xCTI_Filter_VP04_C_QUA1( piSrcTmp,  1 );
-#if REMOVE_INTERMEDIATE_CLIPPING
-          piDst[x ] = (iSum +  shiftOffset) >>  shiftNum;
-#else
-          piDst[x ] = Clip3(0,16383, (iSum +  shiftOffset) >>  shiftNum );
-#endif
-          piSrcTmp++;
-        }
-        piSrc += iSrcStride;
-        piDst += iDstStride;
-      }
-  }
-  break;
-  case 3:
-  {  
-      for ( Int y = iHeight; y != 0; y-- )
-      {
-        piSrcTmp = &piSrc[ -1 ];
-        for ( Int x = 0; x < iWidth; x++ )
-        {
-          iSum      = xCTI_Filter_VP04_C_OCT1( piSrcTmp,  1 );
-#if REMOVE_INTERMEDIATE_CLIPPING
-          piDst[x ] = (iSum +  shiftOffset) >>  shiftNum;
-#else
-          piDst[x ] = Clip3(0,16383, (iSum +  shiftOffset) >>  shiftNum );
-#endif
-          piSrcTmp++;
-        }
-        piSrc += iSrcStride;
-        piDst += iDstStride;
-      }
-  }
-  break;
-  case 5:
-  {  
-      for ( Int y = iHeight; y != 0; y-- )
-      {
-        piSrcTmp = &piSrc[ -1 ];
-        for ( Int x = 0; x < iWidth; x++ )
-        {
-          iSum         = xCTI_Filter_VP04_C_OCT2( piSrcTmp,  1 );
-#if REMOVE_INTERMEDIATE_CLIPPING
-          piDst[x ] = (iSum +  shiftOffset) >>  shiftNum;
-#else
-          piDst[x ] = Clip3(0,16383, (iSum +  shiftOffset) >>  shiftNum );
-#endif
-          piSrcTmp++;
-        }
-        piSrc += iSrcStride;
-        piDst += iDstStride;
-      }
-  }
-  break;
-  case 7:
-  {  
-      for ( Int y = iHeight; y != 0; y-- )
-      {
-        piSrcTmp = &piSrc[ -1 ];
-        for ( Int x = 0; x < iWidth; x++ )
-        {
-          iSum         = xCTI_Filter_VP04_C_OCT3( piSrcTmp,  1 );
-#if REMOVE_INTERMEDIATE_CLIPPING
-          piDst[x ] = (iSum +  shiftOffset) >>  shiftNum;
-#else
-          piDst[x ] = Clip3(0,16383, (iSum +  shiftOffset) >>  shiftNum );
-#endif
-          piSrcTmp++;
-        }
-        piSrc += iSrcStride;
-        piDst += iDstStride;
-      }
-  }
-  break;
-  case 4:
-  {
-      for ( Int y = iHeight; y != 0; y-- )
-      {
-        piSrcTmp = &piSrc[ -1 ];
-        for ( Int x = 0; x < iWidth; x++ )
-        {
-          iSum    = xCTI_Filter_VPS04_C_HAL( piSrcTmp,  1 );
-#if REMOVE_INTERMEDIATE_CLIPPING
-          piDst[x ] = (iSum +  shiftOffset) >>  shiftNum;
-#else
-          piDst[x ] = Clip3(0,16383, (iSum +  shiftOffset) >>  shiftNum );
-#endif
-          piSrcTmp++;
-        }
-        piSrc += iSrcStride;
-        piDst += iDstStride;
-      }
-  }
-  break;
-  default:
-    assert( 0 );
-
- }
-  return;
-}
-#endif
-
 
 __inline Int TRenInterpFilter::xCTI_Filter_VP04_C_OCT0( Pel* pSrc,  Int iStride )
@@ -2231,4 +1326,4 @@
   return iSum;
 }
-
+#endif // H_3D
 #endif // __TRENINTERP__
Index: trunk/source/Lib/TLibRenderer/TRenModSetupStrParser.cpp
===================================================================
--- trunk/source/Lib/TLibRenderer/TRenModSetupStrParser.cpp	(revision 296)
+++ trunk/source/Lib/TLibRenderer/TRenModSetupStrParser.cpp	(revision 608)
@@ -36,5 +36,6 @@
 #include "TRenFilter.h"
 #include "TRenModSetupStrParser.h"
-#if !QC_MVHEVC_B0046
+
+#if H_3D
 Int
 TRenModSetupStrParser::getNumOfModels()
@@ -450,4 +451,4 @@
   rcNextChar = m_pchSetStr[iPos];
 }
-#endif
-
+#endif // H_3D
+
Index: trunk/source/Lib/TLibRenderer/TRenModSetupStrParser.h
===================================================================
--- trunk/source/Lib/TLibRenderer/TRenModSetupStrParser.h	(revision 296)
+++ trunk/source/Lib/TLibRenderer/TRenModSetupStrParser.h	(revision 608)
@@ -31,5 +31,5 @@
  * THE POSSIBILITY OF SUCH DAMAGE.
  */
-#if !QC_MVHEVC_B0046
+
 #ifndef __TRENMODSETUPSTRPARSER__
 #define __TRENMODSETUPSTRPARSER__
@@ -39,4 +39,6 @@
 #include "../TLibCommon/TypeDef.h"
 #include "../TAppCommon/TAppComCamPara.h"
+#if H_3D
+
 
 
@@ -126,5 +128,6 @@
 };
 
+#endif // H_3D
 #endif //__TRENMODEL__
-#endif
 
+
Index: trunk/source/Lib/TLibRenderer/TRenModel.cpp
===================================================================
--- trunk/source/Lib/TLibRenderer/TRenModel.cpp	(revision 296)
+++ trunk/source/Lib/TLibRenderer/TRenModel.cpp	(revision 608)
@@ -35,5 +35,6 @@
 #include "TRenFilter.h"
 #include "TRenModel.h"
-#if !QC_MVHEVC_B0046
+
+#if H_3D_VSO
 ///////////  TRENMODEL //////////////////////
 TRenModel::TRenModel()
@@ -48,5 +49,5 @@
   m_iHoleMargin        =  1;
   m_uiHorOff           = -1;
-#if LGE_VSO_EARLY_SKIP_A0093
+#if H_3D_VSO_EARLY_SKIP
   m_bEarlySkip         = false; 
 #endif
@@ -214,5 +215,5 @@
 
 Void
-#if LGE_VSO_EARLY_SKIP_A0093
+#if H_3D_VSO_EARLY_SKIP
 TRenModel::create( Int iNumOfBaseViews, Int iNumOfModels, Int iWidth, Int iHeight, Int iShiftPrec, Int iHoleMargin, Bool bEarlySkip )
 #else
@@ -226,5 +227,5 @@
   m_iShiftPrec          = iShiftPrec;
   m_iHoleMargin         = iHoleMargin;
-#if LGE_VSO_EARLY_SKIP_A0093
+#if H_3D_VSO_EARLY_SKIP
   m_bEarlySkip          = bEarlySkip; 
 #endif
@@ -357,6 +358,7 @@
   AOT( iContent      < -1 || iContent > 1 );
   AOT( iBlendMode < -1 || iBlendMode > 2 );
-
-  Bool bBitInc = (g_uiBitIncrement != 0);
+  AOT( g_bitDepthY  != g_bitDepthC ); 
+
+  Bool bBitInc = ( DISTORTION_PRECISION_ADJUSTMENT( g_bitDepthY - 8 ) != 0);
 
   AOT( m_apcRenModels[iModelNum] );
@@ -414,5 +416,5 @@
 
 
-#if LGE_VSO_EARLY_SKIP_A0093
+#if H_3D_VSO_EARLY_SKIP
   m_apcRenModels[iModelNum]->create( iMode ,m_iWidth, m_iHeight, m_iShiftPrec, m_aaaiSubPelShiftLut, m_iHoleMargin,  bUseOrgRef, iBlendMode, m_bEarlySkip );
 #else
@@ -550,5 +552,5 @@
 }
 
-#if LGE_VSO_EARLY_SKIP_A0093
+#if H_3D_VSO_EARLY_SKIP
 RMDist
 TRenModel::getDist( Int iStartPosX, Int iStartPosY, Int iWidth, Int iHeight, Int iStride, Pel* piNewData, Pel * piOrgData, Int iOrgStride)
@@ -574,5 +576,5 @@
     if (m_iCurrentContent == 1)
     {
-#if LGE_VSO_EARLY_SKIP_A0093
+#if H_3D_VSO_EARLY_SKIP
       iDist +=  m_apcCurRenModels[iModelNum]->getDistDepth  ( m_aiCurPosInModels[iModelNum], iStartPosX, iStartPosY,  iWidth,  iHeight,  iStride,  piNewData , piOrgData, iOrgStride);
 #else
@@ -606,5 +608,5 @@
     if (m_iCurrentContent == 1)
     {
-#ifdef LGE_VSO_EARLY_SKIP_A0093
+#if H_3D_VSO_EARLY_SKIP
       Int iTargetStride = m_aiCurDepthStrides[ m_iCurrentView ];
       m_apcCurRenModels[iModelNum]->setDepth  ( m_aiCurPosInModels[iModelNum], iStartPosX, iStartPosY, iWidth, iHeight, iStride, piNewData,m_apiCurDepthPel[ m_iCurrentView ] + iStartPosY * iTargetStride + iStartPosX ,iTargetStride );
@@ -619,5 +621,5 @@
   }
 
-#ifdef LGE_VSO_EARLY_SKIP_A0093
+#if H_3D_VSO_EARLY_SKIP
   if (m_iCurrentContent == 1)
   {
@@ -658,7 +660,7 @@
     m_apcCurRenModels[iCurModel]->getRefVideo  ( m_aiCurPosInModels[iCurModel], &cPicYuvTempRef   );
 
-    iSSEY += TRenFilter::SSE( cPicYuvSynth.getLumaAddr(), cPicYuvSynth.getStride(),  m_iWidth,      m_iUsedHeight     , cPicYuvTempRef.getLumaAddr(), cPicYuvTempRef.getStride() );
-    iSSEU += TRenFilter::SSE( cPicYuvSynth.getCbAddr()  , cPicYuvSynth.getCStride(), m_iWidth >> 1, m_iUsedHeight >> 1, cPicYuvTempRef.getCbAddr()  , cPicYuvTempRef.getCStride());
-    iSSEV += TRenFilter::SSE( cPicYuvSynth.getCrAddr()  , cPicYuvSynth.getCStride(), m_iWidth >> 1, m_iUsedHeight >> 1, cPicYuvTempRef.getCrAddr()  , cPicYuvTempRef.getCStride());
+    iSSEY += TRenFilter::SSE( cPicYuvSynth.getLumaAddr(), cPicYuvSynth.getStride(),  m_iWidth,      m_iUsedHeight     , cPicYuvTempRef.getLumaAddr(), cPicYuvTempRef.getStride() , true  );
+    iSSEU += TRenFilter::SSE( cPicYuvSynth.getCbAddr()  , cPicYuvSynth.getCStride(), m_iWidth >> 1, m_iUsedHeight >> 1, cPicYuvTempRef.getCbAddr()  , cPicYuvTempRef.getCStride(), false );
+    iSSEV += TRenFilter::SSE( cPicYuvSynth.getCrAddr()  , cPicYuvSynth.getCStride(), m_iWidth >> 1, m_iUsedHeight >> 1, cPicYuvTempRef.getCrAddr()  , cPicYuvTempRef.getCStride(), false );
   }
 
@@ -697,4 +699,3 @@
   }
 }
-#endif
-
+#endif // H_3D
Index: trunk/source/Lib/TLibRenderer/TRenModel.h
===================================================================
--- trunk/source/Lib/TLibRenderer/TRenModel.h	(revision 296)
+++ trunk/source/Lib/TLibRenderer/TRenModel.h	(revision 608)
@@ -32,5 +32,5 @@
  */
 
-#if !QC_MVHEVC_B0046
+
 #ifndef __TRENMODEL__
 #define __TRENMODEL__
@@ -42,4 +42,6 @@
 #include "../TLibCommon/TypeDef.h"
 
+#if H_3D_VSO
+
 class TRenModel
 {
@@ -50,5 +52,5 @@
 
   // Creation
-#if LGE_VSO_EARLY_SKIP_A0093
+#if H_3D_VSO_EARLY_SKIP
   Void  create           ( Int iNumOfBaseViews, Int iNumOfModels, Int iWidth, Int iHeight, Int iShiftPrec, Int iHoleMargin, Bool bEarlySkip );
 #else
@@ -68,5 +70,5 @@
 
   // Get Distortion, set Data
-#ifdef LGE_VSO_EARLY_SKIP_A0093
+#if H_3D_VSO_EARLY_SKIP
   Int64 getDist          ( Int iStartPosX, Int iStartPosY, Int iWidth, Int iHeight, Int iStride, Pel* piNewData, Pel * piOrgData, Int iOrgStride);
 #else
@@ -91,5 +93,5 @@
   Int**  m_aaaiSubPelShiftLut[2];
   Int    m_iHoleMargin;
-#if LGE_VSO_EARLY_SKIP_A0093
+#if H_3D_VSO_EARLY_SKIP
   Bool   m_bEarlySkip; 
 #endif
@@ -155,5 +157,5 @@
 };
 
+#endif // H_3D
 #endif //__TRENMODEL__
-#endif
 
